Arch API: Difference between revisions

From FreeCAD Documentation
(Marked this version for translation)
Line 1: Line 1:
<languages/>
<languages/>
<translate>
<translate>
<!--T:1-->
{{VeryImportantMessage|(November 2018) The Arch API is listed in the [https://www.freecadweb.org/api autogenerated API documentation].}}
{{VeryImportantMessage|(November 2018) The Arch API is listed in the [https://www.freecadweb.org/api autogenerated API documentation].}}


<!--T:2-->
The functions of the API are part of the [[Arch Workbench]] and can be used in [[macros]] and from the [[Python]] console once the {{incode|Arch}} module has been imported. The [[Reinforcement Addon]] has its own [[Reinforcement API]].
The functions of the API are part of the [[Arch Workbench]] and can be used in [[macros]] and from the [[Python]] console once the {{incode|Arch}} module has been imported. The [[Reinforcement Addon]] has its own [[Reinforcement API]].


<!--T:3-->
Example:
Example:
</translate>
</translate>
Line 18: Line 21:
<translate>
<translate>


<!--T:4-->
{{Arch Tools navi}}
{{Arch Tools navi}}
[[Category:API]]
[[Category:API]]

Revision as of 16:34, 12 December 2018

(November 2018) The Arch API is listed in the autogenerated API documentation.

The functions of the API are part of the Arch Workbench and can be used in macros and from the Python console once the Arch module has been imported. The Reinforcement Addon has its own Reinforcement API.

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)

Arch.makeWall(baseline, length=None, width=200, height=2000)